import request from '@/common/utils/request'

// 获取考勤班次
export function getTAttRecordItemDTO(data) {
  return request({
    url: '/attendance/attMobile/getTAttRecordItemDTO',
    method: 'post',
    data: data
  })
}

// 考勤打卡-打状态获取
export function checkRecordFlag(data) {
  return request({
    url: '/attendance/attMobile/checkRecordFlag',
    method: 'get',
    data: data
  })
}

// 考勤打卡-打卡
export function attCheck(data) {
  return request({
    url: '/attendance/attMobile/attCheck',
    method: 'post',
    data: data
  })
}

// 考勤日历-月数据
export function attCalendar(data) {
  return request({
    url: '/attendance/attMobile/attCalendar',
    method: 'post',
    data: data
  })
}

// 考勤日历-每日明细
export function getTAttRecordItemByDay(data) {
  return request({
    url: '/attendance/attMobile/getTAttRecordItemByDay',
    method: 'post',
    data: data
  })
}

/**
 * 获取腾讯地图appkey
 */
export function getMapKey() {
  return request({
    url: '/attendance/attMobile/getMapKey',
    method: 'get'
  })
}